Skip to main content
Back to API List This API undeploys a model from the environment. The API response includes the model ID, model undeployment status, and the dockStatusId. After receiving the response, use the dockStatusId to call the Get Dock Status API and verify successful model undeployment.
MethodPOST
Endpointhttps://{host}/api/public/models/:{<i>modelId</i>}/undeploy
Content Typeapplication/json
AuthorizationX-api-key - The API key used for authentication.
To use the API, create an API key.

Path Parameters

PARAMETERDESCRIPTIONTYPEREQUIRED/OPTIONAL
hostThe environment URL. For example, https://agent-platform.domain.ai/StringRequired
modelIdThe unique identifier of the model to deploy.StringRequired

Sample Request

curl --location --request POST 'https://{host}/api/public/models/cm-20xxxxxf-0xx9-5xx0-8xx1-81xxxxxxxx80/undeploy' 
--header 'x-api-key: kg-axxxxxxx-xxx-5xx8-bxxb-9xxxxxxxxxx-ebxxxxxx-5xxb-4xxb-9xx5-cxxxxxxxxx3'

Body Parameters

No parameters are passed.

Sample Response

{
  "dock-statusId": "ds-d0xxxxxd-bxx9-5xx0-8xx5-5bxxxxxxxxx1",
  "modelId": "cm-77xxxxxb-exx9-5xxc-8xx6-52xxxxxxxxx1",
  "jobType": "MODELS",
  "action": "UNDEPLOY",
  "status": "SUCCESS"
}

Response Parameters

PARAMETERDESCRIPTIONTYPE
dockStatusIdThe unique identifier to track the model undeployment status.String
modelIdThe unique identifier for the model.String
jobTypeType of job being performed (MODELS).String
actionThe action performed on the model, that is UNDEPLOY.String
statusThe current status of the job (SUCCESS, IN_PROGRESS, or FAILED).String